OpenJPEG: opj_tcd_tile Struct Reference

OpenJPEG 2.5.0

Data Fields
opj_tcd_tile Struct Reference

FIXME DOC. More...

`#include <tcd.h>`

## Data Fields
OPJ_INT32 | x0
OPJ_INT32 | y0
OPJ_INT32 | x1
OPJ_INT32 | y1
OPJ_UINT32 | numcomps
opj_tcd_tilecomp_t * | comps
OPJ_INT32 | numpix
OPJ_FLOAT64 | distotile
OPJ_FLOAT64 | distolayer [100]
OPJ_UINT32 | packno

## Detailed Description

FIXME DOC.

## Field Documentation

## ◆ comps

opj_tcd_tilecomp_t* opj_tcd_tile::comps

Referenced by main(), opj_j2k_decode_tiles(), opj_j2k_encode(), opj_j2k_get_tile_data(), opj_j2k_update_image_data(), opj_j2k_write_tile(), opj_t1_encode_cblks(), opj_t2_decode_packets(), opj_t2_encode_packet(), opj_t2_read_packet_data(), opj_t2_read_packet_header(), opj_t2_skip_packet_data(), opj_tcd_copy_tile_data(), opj_tcd_dc_level_shift_decode(), opj_tcd_dc_level_shift_encode(), opj_tcd_decode_tile(), opj_tcd_dwt_decode(), opj_tcd_dwt_encode(), opj_tcd_encode_tile(), opj_tcd_free_tile(), opj_tcd_get_decoded_tile_size(), opj_tcd_get_encoder_input_buffer_size(), opj_tcd_init(), opj_tcd_init_tile(), opj_tcd_is_subband_area_of_interest(), opj_tcd_is_whole_tilecomp_decoding(), opj_tcd_makelayer(), opj_tcd_makelayer_fixed(), opj_tcd_mct_decode(), opj_tcd_mct_encode(), opj_tcd_rateallocate(), opj_tcd_t1_decode(), and opj_tcd_update_tile_data().

## ◆ distolayer

OPJ_FLOAT64 opj_tcd_tile::distolayer[100]

Referenced by opj_tcd_makelayer(), and opj_tcd_rateallocate().

## ◆ distotile

OPJ_FLOAT64 opj_tcd_tile::distotile

Referenced by opj_t1_cblk_encode_processor(), opj_t1_encode_cblks(), and opj_tcd_rateallocate().

## ◆ numcomps

OPJ_UINT32 opj_tcd_tile::numcomps

Referenced by main(), opj_j2k_read_tile_header(), opj_t1_cblk_encode_processor(), opj_t1_encode_cblks(), opj_tcd_dc_level_shift_decode(), opj_tcd_dc_level_shift_encode(), opj_tcd_dwt_decode(), opj_tcd_dwt_encode(), opj_tcd_free_tile(), opj_tcd_init(), opj_tcd_init_tile(), opj_tcd_makelayer(), opj_tcd_makelayer_fixed(), opj_tcd_mct_decode(), opj_tcd_mct_encode(), opj_tcd_rateallocate(), and opj_tcd_t1_decode().

## ◆ numpix

OPJ_INT32 opj_tcd_tile::numpix

Referenced by opj_tcd_rateallocate().

## ◆ packno

OPJ_UINT32 opj_tcd_tile::packno

Referenced by opj_j2k_write_sod(), opj_t2_encode_packet(), and opj_t2_encode_packets().

## ◆ x0

OPJ_INT32 opj_tcd_tile::x0

Referenced by main(), opj_j2k_read_tile_header(), and opj_tcd_init_tile().

## ◆ x1

OPJ_INT32 opj_tcd_tile::x1

Referenced by main(), opj_j2k_read_tile_header(), and opj_tcd_init_tile().

## ◆ y0

OPJ_INT32 opj_tcd_tile::y0

Referenced by main(), opj_j2k_read_tile_header(), and opj_tcd_init_tile().

## ◆ y1

OPJ_INT32 opj_tcd_tile::y1

Referenced by main(), opj_j2k_read_tile_header(), and opj_tcd_init_tile().

The documentation for this struct was generated from the following file:

- tcd.h